{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="card m-4">
        <div class="card-header">
            <h4>
                Customers
            </h4>
        </div>
        <div class="table-responsive">
            <a href="{% url "CustomerAdd" %}" class="btn btn-primary float-end m-4"> Add Customer </a>
            <table class="table table-striped table-sm">
                <thead>
                <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Title</th>
                    <th scope="col">Email</th>
                    <th scope="col">Mobile Number</th>
                    <th scope="col">Tools</th>
                </tr>
                </thead>
                <tbody>
                    {% for customer in customers %}
                        <tr>
                            <td>{{ customer.firstName }} {{ customer.lastName }}</td>
                            <td>{{ customer.title }}</td>
                            <td>{{ customer.email }}</td>
                            <td>{{ customer.mobileNumber }}</td>
                            <td>
                                <a href="{% url "CustomerDetails"  customerUUID=customer.uuid %}" class="btn btn-primary m-4"> Details </a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}